\documentclass[openany]{book}
\usepackage{geometry}
%% if changing to second geometry the shift for image in title has to be changed!
\geometry{a4paper,left=20mm,right=30mm,top=20mm,bottom=30mm,marginparwidth=20mm}%Just to try out different margins. Can be changed
% \geometry{papersize={216mm,303mm},left=23mm,right=33mm,top=23mm,bottom=33mm,marginparwidth=20mm}
% \geometry{papersize={154mm,216mm},left=12mm,right=16mm,top=12mm,bottom=16mm,marginparwidth=10mm}

\AddToHook{cmd/section/before}{\clearpage}
% Colour AIP logo
\usepackage[table]{xcolor}
% dark blue: rgba(23,90,154,255)
% light blue: rgba(123,183,219,255)
\definecolor{DarkBlueAIP}{RGB}{23, 90, 154}
\definecolor{LightBlueAIP}{RGB}{123, 183, 219}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsthm}
\usepackage{mathtools}
\usepackage{mathabx}
\usepackage[OT1]{fontenc}
\usepackage{siunitx}
\usepackage[linkbordercolor=LightBlueAIP,pagebackref=true]{hyperref}
\usepackage{enumitem}
\usepackage{graphicx}
\usepackage[usexcolor,inkscape]{svg} %% for logos
\usepackage{multicol} %% for the two columns
\usepackage{longtable}
\usepackage{array}
\newcolumntype{L}[1]{>{\raggedright\arraybackslash}p{#1}}
\newcolumntype{R}[1]{>{\raggedleft\arraybackslash}p{#1}}
\usepackage{mwe}
\usepackage{marginnote}
\usepackage{scrextend}
\usepackage{pdfpages}

\newlist{refenumerate}{enumerate}{1}
\setlist[refenumerate,1]{label={[\arabic*]},itemsep=1pt,topsep=0.5pt}
\newenvironment{references}{\vspace{0.5\baselineskip}\noindent\textbf{References}\small\begin{refenumerate}}{\end{refenumerate}}

\newcommand{\plenary}[7]{

% \vspace{1.5\baselineskip}
\leavevmode
\Ifthispageodd{
\begin{flushleft}
\noindent
\renewcommand*{\arraystretch}{1}
\setlength{\tabcolsep}{5pt}
\begin{tabular}{ m{0.21\textwidth} m{0.76\textwidth}}
\begin{flushright}
\includegraphics[width=0.2\textwidth]{./pictures_plenaryspeakers/#2.jpg}
\end{flushright}
&
\begin{flushleft}
\Large \textbf{\textcolor{DarkBlueAIP}{#2}} \marginnote{\large{#4}\newline \large{#5}\newline \large{#6}}  \linebreak
\large#3

\vspace{0.5\baselineskip}

\textbf{#1}
\end{flushleft}
\\
\end{tabular}
\end{flushleft}
}{
\begin{flushright}
\noindent
\renewcommand*{\arraystretch}{1}
\setlength{\tabcolsep}{5pt}
\begin{tabular}{m{0.76\textwidth} m{0.21\textwidth}}
\begin{flushright}
\Large \noindent\textbf{\textcolor{DarkBlueAIP}{#2}} \marginnote{\large{#4}\newline \large{#5}\newline \large{#6}} \linebreak
\large #3

\vspace{0.5\baselineskip}

\textbf{#1}
\end{flushright}
&
\begin{flushleft}
\includegraphics[width=0.2\textwidth]{./pictures_plenaryspeakers/#2.jpg}
\end{flushleft}
\\
\end{tabular}
\end{flushright}
}
% \subsection[#2]{#2\marginparaligned{\large{#4}\\ \large{#5}\\\large{#6}}}
% %\large {#3}
% %
% %\vspace{\baselineskip}
% \noindent\large\textbf{#1}
\vspace{0.5\baselineskip}

\noindent{#7}
}%Parameters: Title, Author, Institution, Date, Time, Room, Abstract

\newcommand{\contribution}[9]{
\subsection[#1]{\leavevmode\marginparaligned{\large{#8}\\\large{#3}\\\large{#4}\\\large{#5}\\\large{#6}}#1}\label{#9}
\nopagebreak
\large\textbf{#2}

\nopagebreak
\vspace{\baselineskip}
\nopagebreak
\noindent{#7}}%Parameters: Title, Author, Date, Start time, End time, Room, Abstract, Session, Talk label

\newcommand{\poster}[6]{\subsection[#1]{\leavevmode\marginparaligned{\large{#3}\\ \large{#4}\\\large{#5}}#1}
\nopagebreak
\large\textbf{#2}

\nopagebreak
\vspace{\baselineskip}
\nopagebreak
\noindent{#6}}%Parameters: Title, Author, Date, Time, Room, Abstract

%%%MS_list
% \usepackage{xparse}

%MS Environment wrapped around each MS
% 1. short-handle for MS (eg. MS 16)
% 2. Title of MS
% 3. label for internal references
% 4. chairs
\newenvironment{MiniSym}[4]{
\subsection[#1]{#1: #2}
\label{#3}
\nopagebreak
organized by #4\\
\nopagebreak
}{}

%Session Environment wrapped around each session of one MS
% 1. (Optional) Number of Session if multiple exist
% 2. Time (eg. Wed Sep 6 9:00 am - 11:00 am)
% 3. room
\newenvironment{MSSession}[3][\unskip]{
\begin{itemize}[leftmargin=5mm]
\item[]\hspace{-5mm}\textbf{Session #1:}\marginparaligned{\large #3} #2
}{
\end{itemize}
}

%Presentation in session
% 1. Title of presentation
% 2. authors of presentation
% 3. start of presentation
% 4. end of presentation !!! Got removed
% 5. ref for internal references
\newcommand{\Presentation}[5]{
\item[]\leavevmode\marginparaligned{\large #3}\hyperref[ID:#5]{\textbf{#1}}\\ #2
}

%%% for correct marginpar
\usepackage{mparhack}
\newcommand{\marginparaligned}[1]{\Ifthispageodd{\marginpar{\raggedright #1}}{\marginpar{\raggedleft#1}}}


%%% Style Setting for head
\usepackage{fancyhdr,calc,kantlipsum}
\renewcommand{\sectionmark}[1]{\markright{#1}} % setting the rightmark
\newlength{\myoddoffset}
% \setlength{\myoddoffset}{\marginparwidth}
\setlength{\myoddoffset}{0pt}
\fancyheadoffset[leh,roh]{\myoddoffset}
\fancyheadoffset[loh,reh]{\myoddoffset}
% % clear all header fields
\fancyhead{}
\setlength\headheight{12mm}
\fancyhead[RO]{\includegraphics[height=10mm]{logo-left}}
% \fancyhead[RO]{\textcolor{DarkBlueAIP}{\textbf{$\mathbf{11^{\text{th}}}$ Applied Inverse Problems Conference}}}
\fancyhead[LE]{\textcolor{DarkBlueAIP}{\Large\rightmark}}
\renewcommand{\headrulewidth}{0pt}
% clear all footer fields
\fancyfoot{}
\fancyfoot[RO,LE]{\thepage}

\fancypagestyle{plain}{%
  \fancyhead{}
  \setlength\headheight{12mm}
  \fancyhead[RO]{\includegraphics[height=10mm]{logo-left}}
  % \fancyhead[RO]{\textcolor{DarkBlueAIP}{\textbf{$\mathbf{11^{\text{th}}}$ Applied Inverse Problems Conference}}}
  % \fancyhead[RE,LO]{\textcolor{DarkBlueAIP}{\Large\rightmark}}
  \renewcommand{\headrulewidth}{0pt}
  % clear all footer fields
  \fancyfoot{}
  \fancyfoot[RO,LE]{\thepage}
}

%%% formating the Section
\usepackage{titlesec}
%chapter only useed for ToC
\titleformat
{\chapter} % command
[hang] % shape
{\Huge\bfseries} % format
{} % label
{0ex} % sep
{\vspace{\fill}} % before-code
[] % after-code

%section
\titleformat
{\section} % command
[hang] % shape
{\huge\color{DarkBlueAIP}\bfseries} % format
{} % label
{0ex} % sep
{} % before-code
[] % after-code
\titlespacing*{\section}{0ex}{1.5ex}{2.5ex}

\titleformat
{\subsection} % command
[hang] % shape
{\Large\bfseries} % format
{} % label
{0ex} % sepook
{} % before-code
[] % after-code

%%% formating ToC
\usepackage{titletoc}
\titlecontents{section}[0em]
{\vskip 0.5ex}%
{\bfseries\huge\color{DarkBlueAIP}}% numbered sections formatting
{}% unnumbered sections formatting
{\bfseries\huge\color{DarkBlueAIP}\titlerule*[1pc]{.}\contentspage}%
% only sections
\setcounter{tocdepth}{1}



\begin{document}
\emergencystretch 3em%prevents overflow of most long links

\include{titleandgeneral}

% \clearpage{\thispagestyle{empty}\cleardoublepage}
\newpage
\section{Plenary Talks}
\input{PT_list.tex}
\section{List of Minisymposia}
\input{MS_list.tex}
\section{Talks in alphabetical order}
\input{CTMS_list.tex}
\section{Poster Presentations}
\input{P_list.tex}

\includepdf[pages=-]{poster-5speakers.pdf}

\end{document}
